Seleccionar instancia del Jre en GNU/LINUX

Muchas veces cuando necesitamos ejecutar aplicaciones hechas en Java, nos topamos con el problema de que las mismas no son compatibles con la versión del jre que tenemos instalada.

Para corregir este problema algunas personas optan por desinstalar la versión del jre instalada y sustituirla por la que se necesita, sin embargo existe una manera mucho mas elegante de solucionar este problema y es a través del comando.

update-alternatives --config java

Este comando te lista todas las versiones de java que tengas instalada y te permite seleccionar la que necesitas para trabajar.

Si nos fijamos en la imagen podemos seleccionar el jre requerido con solo indicar el numero de la lista que lo contiene. De esta manera en ves de desinstalar el jre puedes simplemente instalar el que necesitas y manejar las distintas versionas dependiendo de tus necesidades.

Tags: